--- old/usr/src/cmd/make/bin/main.cc	2015-05-20 12:27:12.613585918 -0400
+++ new/usr/src/cmd/make/bin/main.cc	2015-05-20 12:27:12.626265168 -0400
@@ -1500,7 +1500,7 @@
 	case 'v':			/* Version flag */
 		if (invert_this) {
 		} else {
-			fprintf(stdout, "dmake: %s\n", verstring);
+			fprintf(stdout, "%s: %s\n", getprogname(), verstring);
 			exit_status = 0;
 			exit(0);
 		}
@@ -3187,23 +3187,27 @@
 	if(report_cwd) {
 		if(make_level_val <= 0) {
 			if(entering) {
-				sprintf( rcwd
-				       , gettext("dmake: Entering directory `%s'\n")
-				       , get_current_path());
+				sprintf(rcwd,
+				    gettext("%s: Entering directory `%s'\n"),
+				    getprogname(),
+				    get_current_path());
 			} else {
-				sprintf( rcwd
-				       , gettext("dmake: Leaving directory `%s'\n")
-				       , get_current_path());
+				sprintf(rcwd,
+				    gettext("%s: Leaving directory `%s'\n"),
+				    getprogname(),
+				    get_current_path());
 			}
 		} else {
 			if(entering) {
-				sprintf( rcwd
-				       , gettext("dmake[%d]: Entering directory `%s'\n")
-				       , make_level_val, get_current_path());
+				sprintf(rcwd,
+				    gettext("%s[%d]: Entering directory `%s'\n"),
+				    getprogname(),
+				    make_level_val, get_current_path());
 			} else {
-				sprintf( rcwd
-				       , gettext("dmake[%d]: Leaving directory `%s'\n")
-				       , make_level_val, get_current_path());
+				sprintf(rcwd,
+				    gettext("%s[%d]: Leaving directory `%s'\n"),
+				    getprogname(),
+				    make_level_val, get_current_path());
 			}
 		}
 		printf("%s", rcwd);
--- old/usr/src/cmd/make/bin/misc.cc	2015-05-20 12:27:13.238627290 -0400
+++ new/usr/src/cmd/make/bin/misc.cc	2015-05-20 12:27:13.250732686 -0400
@@ -136,7 +136,7 @@
 
 	va_start(args, message);
 	(void) fflush(stdout);
-	(void) fprintf(stderr, gettext("make: Fatal error: "));
+	(void) fprintf(stderr, gettext("%s: Fatal error: "), getprogname());
 	(void) vfprintf(stderr, message, args);
 	(void) fprintf(stderr, "\n");
 	va_end(args);
@@ -193,7 +193,7 @@
 
 	va_start(args, message);
 	(void) fflush(stdout);
-	(void) fprintf(stderr, gettext("make: Warning: "));
+	(void) fprintf(stderr, gettext("%s: Warning: "), getprogname());
 	(void) vfprintf(stderr, message, args);
 	(void) fprintf(stderr, "\n");
 	va_end(args);
--- old/usr/src/cmd/make/bin/read.cc	2015-05-20 12:27:13.682686603 -0400
+++ new/usr/src/cmd/make/bin/read.cc	2015-05-20 12:27:13.694940760 -0400
@@ -227,7 +227,8 @@
 			    (doname(makefile_name, true, false) == build_failed)) {
 				if (complain) {
 					(void) fprintf(stderr,
-						       gettext("make: Couldn't make `%s'\n"),
+						       gettext("%s: Couldn't make `%s'\n"),
+						       getprogname(),
 						       makefile_name->string_mb);
 				}
 				max_include_depth--;
--- old/usr/src/cmd/make/bin/read2.cc	2015-05-20 12:27:14.241620506 -0400
+++ new/usr/src/cmd/make/bin/read2.cc	2015-05-20 12:27:14.253826465 -0400
@@ -1872,14 +1872,16 @@
 	}
 
 	(void) fflush(stdout);
-	(void) fprintf(stderr, gettext("make: Fatal error in reader: "));
+	(void) fprintf(stderr, gettext("%s: Fatal error in reader: "),
+	    getprogname());
 	(void) vfprintf(stderr, pattern, args);
 	(void) fprintf(stderr, "\n");
 	va_end(args);
 
 	if (temp_file_name != NULL) {
 		(void) fprintf(stderr,
-			       gettext("make: Temp-file %s not removed\n"),
+			       gettext("%s: Temp-file %s not removed\n"),
+			       getprogname(),
 			       temp_file_name->string_mb);
 		temp_file_name = NULL;
 	}
